def quicksort(thelist):
  """Return a sorted version of thelist."""
  if len(thelist) < 2:
    return thelist
  pivot = thelist[0]
  smaller = [elt for elt in thelist if elt < pivot]
  pivots = [elt for elt in thelist if elt == pivot]
  larger = [elt for elt in thelist if elt > pivot]
  left = quicksort(smaller)
  right = quicksort(larger)
  return left + pivots + right


print quicksort([3, 2, 5, 1, 9, 4])

