def quicksort(thelist):
  """Return a sorted version of thelist."""
  if len(thelist) < 2:
    return thelist
  pivot = thelist[0]
  smaller = [elt for elt in thelist[1:] if elt <= pivot]
  larger = [elt for elt in thelist if elt > pivot]
  return quicksort(smaller) + [pivot] + quicksort(larger)


print quicksort([3, 2, 5, 1, 9, 4])

